##### ssl::context::set_verify_mode (2 of 2 overloads)

Set the peer verification mode.

    void set_verify_mode(
        verify_mode v,
        asio::error_code & ec);

This function may be used to configure the peer verification mode used by the context.

###### Parameters

v

  A bitmask of peer verification modes. See `ssl::verify_mode` for available values.

ec

  Set to indicate what error occurred, if any.

###### Remarks

Calls `SSL_CTX_set_verify`.